﻿#!/perl/bin/perl
#
# 以下、自分の環境に合わせて修正すること
#
########################################################################
# インストール場所関連
########################################################################
#
# C:\OneSegWWW\httpd-doc が公開フォルダで、そこに本スクリプトをおいた場合の設定例です。
$BaseDir 	= 'C:\OneSegWWW';
$log_folder	= $BaseDir . '\log';
$CacheDir	= $BaseDir . '\cache';
$ShotDir	= $BaseDir . '\httpd-doc\simg';
$mp4_folder	= $BaseDir . '\httpd-doc\mp4';
$mp4_URL	= '/mp4/';
$jpg_URL	= '/simg/';
#
# 以下は、mp4を作る場合必要。
$TSConverter	= $BaseDir . '\bin\TSConverter';
$MP4Box		= $BaseDir . '\bin\MP4Box.exe';
$FFMpeg		= $BaseDir . '\bin\ffmpeg.exe';
$AACEnc		= $BaseDir . '\bin\neroAacEnc.exe';
$AACDec		= $BaseDir . '\bin\neroAacDec.exe';
#
########################################################################
# 331氏のサムネイル、字幕、MP4Archiver関連
# 
# 有効にするには、331氏のスクリプト群が必要です！
########################################################################
#
# サムネイルを有効にする yes=1, no=0
$Thumb = 0;
#
# 字幕を有効にする yes=1, no=0
$Caption = 0;
#
# MP4Archiver機能を有効にする yes=1, no=0
$MP4Archiver = 0;
#
# サムネイルファイル格納ディレクトリ
$ThmDir	= $BaseDir . '\httpd-doc\thm';
#
# サムネイルのURL
$Thm_URL = '/thm';
#
# 番組勢いグラフデータファイル格納ディレクトリ
$IDir	= $BaseDir . '\httpd-doc\ikioi';
#
# 番組勢いグラフを有効にする yes=1, no=0
$IkioiGraph = 0;
#
# 番組勢いレス数表示を有効にする yes=1, no=0
$IkioiRes = 0;
#
#caption.plの場所
$ExecC = 'c:\perl\bin\perl c:\OneSegWWW\httpd-doc\caption.pl |';
#
# rget.pl関連
#
#TSデータ保管フォルダ
$TS = 'D:\TS';
#
#balooレス取得インタフェース
$baloourl = 'http://balloo.jp/balloo/cgi/getthread.php?';
#
#baloo番組設定
#ご自身の環境に合わせて記述を変えてみてください。
#前者がballoo内で定義される局名+「_」。後者がワンセグ野郎が扱う局番号です。
$ch[0][0] = "livenhk_"; $ch[0][1] = "27";#NHK総合
$ch[1][0] = "liveetv_"; $ch[1][1] = "26";#NHK教育
$ch[2][0] = "liventv_"; $ch[2][1] = "25";#日本テレビ
$ch[3][0] = "livetbs_"; $ch[3][1] = "22";#東京放送
$ch[4][0] = "livecx_" ; $ch[4][1] = "21";#フジテレビ
$ch[5][0] = "liveanb_"; $ch[5][1] = "24";#テレビ朝日
$ch[6][0] = "livetx_" ; $ch[6][1] = "23";#テレビ東京
##balooがログを出してないため、MXは取得不可
#$ch[7][0] = "livemx" ; $ch[7][1] = "20";#MXテレビ
#
########################################################################
# 番組表関連
########################################################################
#
# 検索範囲指定の日付を何日分表示するか。
# カレンダーの表示にも影響する
$start_date = 14;
#
# 番組検索結果にアイコンを使うか？
# 使う場合は 1 を設定。
$icon_enable = 1;
#
#######################################################################
# 時間別番組表関連
########################################################################
#
#「時間別番組表から直接選択して抽出」の、テレビ欄表示の下にもカレンダーを表示するか？
# 表示する = 1
# 従来通り = 0
$MoreCal = 0;
#
# 時間別番組表の開始時間。好みで変更
$startH = 5;
#$startH = 0;
#
# 時間別番組表のキャッシュを何時間保持するか？
$ExpireCache = 24;
#
########################################################################
# 番組表検索関連
########################################################################
#
# 番組表から検索して抽出のジャンルを簡易表示する場合、
# $TTSrhE = 1;
# 簡易表示しない場合、
# $TTSrhE = 0;
# とする。
$TTSrhE = 1;
#
########################################################################
# 再生画面関連
########################################################################
#
# 再生画面の「CM送」ボタンの秒数
$CMSt = 13;
#
# 再生画面を開いたとき、動画のキャプチャを表示するか？
# する = 1
# しない = 0;
$ShotE = 1;
#
# プレイヤーを新しいウインドウで開く
# 新しいウインドウで開く = 1
# 従来通り = 0
$OpenNewWindow = 1;
#
########################################################################
# チャンネル設定
########################################################################
#
# チャンネル: 放送局名
@iepg_chan = (
"27:ＮＨＫ総合",
"26:ＮＨＫ教育",
"25:日本テレビ",
"22:ＴＢＳテレビ",
"21:フジテレビ",
"24:テレビ朝日",
"23:テレビ東京",
"20:ＭＸテレビ"
);
########################################################################
# 画面ショット関連
########################################################################
#
# 動画開始何秒目の動画をキャプチャするか？（最大50)
$ShotS = 40;
#
# サムネイル画像、勢いグラフデータ、画面ショットを何日保持するか
$ExpireShot = 14;
#
########################################################################
# MP4エンコード関連
########################################################################
#
# TSConverter オプション
# $TSCO{チャンネル} = 'オプション';
$TSCO{27} = '-r -l';	# NHK総合
$TSCO{26} = '-r -l';	# NHK教育
$TSCO{25} = '-r -l';	# 日本テレビ
$TSCO{22} = '-r -l';	# TBSテレビ
$TSCO{21} = '-r -l';	# フジテレビ
$TSCO{24} = '-r -l';	# テレビ朝日
$TSCO{23} = '-r -l';	# テレビ東京
$TSCO{20} = '-r -l';	# MXテレビ
#
# ステーションコードとチャンネルの対応
# バッチエンコード時使用する
$chb{'0031'} = '27';	# NHK
$chb{'0041'} = '26';	# NHK教育
$chb{'0004'} = '25';	# 日本テレビ
$chb{'0005'} = '22';	# TBS
$chb{'0006'} = '21';	# フジテレビ
$chb{'0007'} = '24';	# テレビ朝日
$chb{'0008'} = '23';	# テレビ東京
$chb{'0016'} = '20';	# TOKYO MX
#
$ExpireDay = 14;	# 生成したmp4を何日保持するか？
#
# エンコード関連起動用
$startCmd = 'start /b /low /wait ';
#
# エンコードプロセスのタイムアウト(秒)
$gtimeout = 3600;
#
# エンコードプロセス終了用
$killCmd = 'taskkill /f /t /pid ';
#
# オフセット秒
# TSの切出、MP4エンコードなどにおいて、オフセットする開始時間（秒）を指定する。
# デフォルト５秒。なお、５秒単位に指定すること。
$oftim = '05';
#
$reload_time = 2;	# そのままでＯＫ
#
########################################################################
# iPod/iPhone関連
########################################################################
#
#iPod/iPhone用のMP4が不要な場合、$RwIPODをコメントアウトしてください。
$RwIPOD = '_ipod';
#
# iPod用エンコード方法
# 自分の局の状況にあわせて選択する
#
# $iencM{チャンネル} = 方法;
# 方法：
#   0....なにもしない
#   1....FFmpeg(映像がおかしい場合)
#   2....NeroAAC(音声がおかしい場合)
#   3....FFmpeg + NeroAAC(映像も音声もおかしい場合)
#

# OS2.2以下向けのMP4を作成したい場合は、以下を有効にし、OS3.0向けを削除してください。
# (デフォは、OS3.0向けが有効)

# OS2.2以下向け
#$iencM{27} = 3;	# NHK総合
#$iencM{26} = 3;	# NHK教育
#$iencM{25} = 2;	# 日本テレビ
#$iencM{22} = 0;	# TBSテレビ
#$iencM{21} = 1;	# フジテレビ
#$iencM{24} = 0;	# テレビ朝日
#$iencM{23} = 0;	# テレビ東京
#$iencM{20} = 0;	# MXテレビ

# OS3.0向け
# 再エンコの必要はないが、２カ国語放送と、MXテレビの一部の番組で音声に不具合あり。
# MXテレビに関しては、音ズレするが、「2」を指定すれば、一応いける。
$iencM{27} = 0;	# NHK総合
$iencM{26} = 0;	# NHK教育
$iencM{25} = 0;	# 日本テレビ
$iencM{22} = 0;	# TBSテレビ
$iencM{21} = 0;	# フジテレビ
$iencM{24} = 0;	# テレビ朝日
$iencM{23} = 0;	# テレビ東京
$iencM{20} = 0;	# MXテレビ

#
########################################################################
# WindowsCE関連
########################################################################
#
# Windows CEのOperaユーザーエージェント
# ht01aのみ検証、追加する場合は、「|」文字で複数指定。
# Opera 9.5以降のみ（Viewport対応ブラウザのみ)
$WMdevice = 'ht01a|x05ht';
#
# WM用CorePlayer指示
$cpName = '"\Program Files\CorePlayer\player.exe"';
#
# サーバにBasic認証をかけているなら、下記に指定する
#
# User
$cpUser = '';
#
# Pass
$cpPass = '';
#
########################################################################
# 雑多な設定
########################################################################
#
#CGIの名前
$cginame = 'player.pl';
#$cginame = "http://$ENV{'SERVER_NAME'}/player.pl";
#
#########################################################################
#  SQLite 対応版用設定
########################################################################
#
#データベースファイルへのPath
$DBNAME = 'c:\oneseg24\epg.db';
#番組表にジャンルを表示するか
$tt_genre_enable = 1;
#番組表に番組詳細を表示するか
$tt_desc_enable = 1;
#
########################################################################
# アイコン
########################################################################
%title_icon = (
    "S","icon_stereo_b",
    "字","icon_mojitajuu_b",
    "解","icon_kai_b",
    "再","icon_sai_b",
    "新","icon_new_b",
    "終","icon_last_b",
#    "終","icon_end_b",
    "吹","icon-fukikae_b",
    "手","icon_syuwa_b",
    "デ","icon_data_b",
    "二","icon_nikakoku_b",
    "多","icon_onseitajuu_b",
    "HV","icon-hivision_b",
#    "HV","icon_hivision_b",
    "SS","icon_ss_b",
    );
%desc_icon = (
    "原作","icon_gensaku_b",
    "作","icon_gensaku_b",
    "原案","icon_gensaku_b",
    "脚色","icon_kyakuhon_b",
    "脚本","icon_kyakuhon_b",
    "監督","icon_kantoku_b",
    "語り","icon_katari_b",
    "声","icon_koe_b",
    "声の出演","icon_koe_b",
    "出演","icon_syutsuen_b",
    "主演","icon_syutsuen_b",
    "スキット出演","icon_syutsuen_b",
    "ゲスト","icon_guest_b",
    "解説","icon_kaisetsu_b",
    "副音声","icon-fukuonsei_b",
#    "司会","icon_shikai_b",
#    "朗読","icon_roudoku_b",
#    "リポーター","icon_reporter_b",
#    "キャスター","icon_caster_b",
#    "コメンテーター","icon_comment_b",
#    "アナウンサー","icon_announcer_b",
#    "ナレーション","icon_narrator_b",
#    "きき手","icon_kikite_b",
#    "テーマ音楽","icon_music_b",
#    "音楽","icon_music_b",
#    "ピアノ","icon_piano_b",
#    "生徒","icon_student_b",
#    "案内","icon_annai_b",
#    "講師","icon_koushi_b",
#    "絵","icon_e_b",
#    "シリーズ構成","icon_kousei_b",
    );
########################################################################
1;

